--[[
    https://wowpedia.fandom.com/wiki/WOW_PROJECT_ID
    https://wowpedia.fandom.com/wiki/Using_the_AddOn_namespace
    https://github.com/tomrus88/BlizzardInterfaceCode/blob/master/Interface/SharedXML/SharedColorConstants.lua
]]

local _, addonTable = ...
local tocVersion = select(4, GetBuildInfo())

addonTable.project = {
    isRetail      = tocVersion >= 50000, -- faction line was added in MoP
    isClassic     = tocVersion < 20000,
    isClassic_TBC = tocVersion < 30000, -- includes isClassic

    -- isRetail      = false,
    -- isClassic     = true,
    -- isClassic_TBC = true,
}

addonTable.config = {
    scaleFactor        = 1.0,
    showServerName     = true,
    enableClassColor   = true,
    enableGuildColor   = true,
    enableFactionColor = true, -- opposite faction
    showUnitHealth     = true,
    healthFont         = STANDARD_TEXT_FONT, -- 'Fonts\\ARIALN.TTF'
    healthFontSize     = 13,
    healthFontFlags    = 'OUTLINE',
    healthOffsetY      = 0,

    anchorToCursor     = true,
    anchorToCursorAlt  = false, -- WorldFrame only
    cursorAnchorPoint  = 'ANCHOR_CURSOR_LEFT', -- '_CURSOR_LEFT', '_CURSOR', '_CURSOR_RIGHT'
    cursorOffsetX      = 0,
    cursorOffsetY      = 0,
    useCustomPosition  = false,
    point              = 'CENTER',
    relativeFrame      = UIParent,
    relativePoint      = 'CENTER',
    offsetX            = 0,
    offsetY            = 0,

    hideInCombat       = false, -- for buffs, spells, items, etc. the tooltip remains visible

    showSpellID        = false,
    spellIDText        = GetLocale() == 'ruRU' and 'ID заклинания:' or 'Spell ID:',
    spellIDTextColor   = CreateColor(1, 0.50196, 0), -- LEGENDARY_ORANGE_COLOR, HEIRLOOM_BLUE_COLOR
}